package com.lightinit.hsdataplatformresdir.impl.admin;

import com.lightinit.hsdataplatformresdir.mapper.UserAccountMapper;
import com.lightinit.hsdataplatformresdir.mapper.UserAccountTransactionMapper;
import com.lightinit.hsdataplatformresdir.model.admin.*;
import com.lightinit.hsdataplatformresdir.service.admin.IAccountManageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AccountManageServiceImpl implements IAccountManageService {

    @Autowired
    private UserAccountMapper userAccountMapper ;

    @Autowired
    private UserAccountTransactionMapper userAccountTransactionMapper ;

    @Override
    public List<AccountManageBalanceVOModel> queryBalanceList(AccountManageBalanceDtoModel inputModel) {
        return userAccountMapper.queryBalanceList(inputModel);
    }

    @Override
    public long queryBalanceCount(AccountManageBalanceDtoModel inputModel) {
        return userAccountMapper.queryBalanceCount(inputModel);
    }

    @Override
    public List<AccountManageRechargeVOModel> queryRechargeList(AccountManageRechargeDtoModel inputModel) {
        return userAccountTransactionMapper.queryRechargeList(inputModel) ;
    }

    @Override
    public long queryRechargeCount(AccountManageRechargeDtoModel inputModel) {
        return userAccountTransactionMapper.queryRechargeCount(inputModel);
    }

    @Override
    public Long querySumTransAmount(AccountManageRechargeDtoModel inputModel) {
        return userAccountTransactionMapper.querySumTransAmount(inputModel);
    }

    @Override
    public List<AccountManageTransactionVOModel> queryTransactionList(AccountManageRechargeDtoModel inputModel) {
        return userAccountTransactionMapper.queryTransactionList(inputModel);
    }

    @Override
    public long queryTransactionCount(AccountManageRechargeDtoModel inputModel) {
        return userAccountTransactionMapper.queryTransactionCount(inputModel);
    }
}
